package com.agri.system.service.impl;

import java.util.List;
import com.agri.common.utils.DateUtils;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.agri.system.mapper.SysMessageMapper;
import com.agri.system.domain.SysMessage;
import com.agri.system.service.ISysMessageService;

/**
 * 系统消息中心Service业务层处理
 * 
 * @author lld
 * @date 2026-03-26
 */
@Service
public class SysMessageServiceImpl extends ServiceImpl<SysMessageMapper, SysMessage> implements ISysMessageService 
{

    /**
     * 查询系统消息中心
     * 
     * @param id 系统消息中心主键
     * @return 系统消息中心
     */
    @Override
    public SysMessage selectSysMessageById(Long id)
    {
        return baseMapper.selectSysMessageById(id);
    }

    /**
     * 查询系统消息中心列表
     * 
     * @param sysMessage 系统消息中心
     * @return 系统消息中心
     */
    @Override
    public List<SysMessage> selectSysMessageList(SysMessage sysMessage)
    {
        return baseMapper.selectSysMessageList(sysMessage);
    }

    /**
     * 新增系统消息中心
     * 
     * @param sysMessage 系统消息中心
     * @return 结果
     */
    @Override
    public int insertSysMessage(SysMessage sysMessage)
    {
        sysMessage.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysMessage(sysMessage);
    }

    /**
     * 修改系统消息中心
     * 
     * @param sysMessage 系统消息中心
     * @return 结果
     */
    @Override
    public int updateSysMessage(SysMessage sysMessage)
    {
        sysMessage.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysMessage(sysMessage);
    }

    /**
     * 批量删除系统消息中心
     * 
     * @param ids 需要删除的系统消息中心主键
     * @return 结果
     */
    @Override
    public int deleteSysMessageByIds(Long[] ids)
    {
        return baseMapper.deleteSysMessageByIds(ids);
    }

    /**
     * 删除系统消息中心信息
     * 
     * @param id 系统消息中心主键
     * @return 结果
     */
    @Override
    public int deleteSysMessageById(Long id)
    {
        return baseMapper.deleteSysMessageById(id);
    }
}
